Subject: Re: bug#26454: [PATCH 2/2] gnu: add emacs-exwm

From: Alex Kost <[email-masked]>
Date: Sun, 16 Apr 2017 12:03:28 +0300

Arun Isaac (2017-04-13 01:35 +0530) wrote:

>>>> +    (source
>>>> +     (origin
>>>> +       (method url-fetch)
>>>> +       (uri (string-append "https://elpa.gnu.org/packages/exwm-"
>>>> +                           version ".tar"))
>>>
>>> Could you open an issue with the upstream maintainer asking them to tag a
>>> release so that we could use the upstream release tarball directly
>>> instead of relying on ELPA's tarball?
>>
>> Hm, but this ELPA tarball is the release itself, no?
>
> I thought it would be better if we could get the release tarball
> directly from upstream (https://github.com/ch11ng/exwm).

What I meant is that the tarball on ELPA is the upstream release itself!
ELPA packages are made by the upstream persons, so I bet it is ch11ng
who uploaded that tarball to ELPA.  So insist that ELPA tarball is the
right source and we should use it :-)

-- 
Alex